# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-ExtUtils-MakeMaker-CPANfile
Version:	0.09
Release:	1.%{__distinit}%{__distvers}
Summary:	CPANfile support for ExtUtils::MakeMaker
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/ExtUtils-MakeMaker-CPANfile
Source0:	https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-MakeMaker-CPANfile-%{version}.tar.gz
BuildArch:	noarch
# Module Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module Runtime:
BuildRequires:	perl(CPAN::Meta::Converter) >= 2.141170
BuildRequires:	perl(CPAN::Meta::Requirements)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Module::CPANfile)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.76
BuildRequires:	perl(warnings)
# Test Suite:
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Test::More) >= 0.88
# Runtime:
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(CPAN::Meta::Converter) >= 2.141170
Requires:	perl(CPAN::Meta::Requirements)
Requires:	perl(ExtUtils::MakeMaker) >= 6.30
Requires:	perl(version) >= 0.76

%description
ExtUtils::MakeMaker::CPANfile loads cpanfile in your distribution and
modifies parameters for WriteMakefile in your Makefile.PL. Just use it
instead of ExtUtils::MakeMaker (which should be loaded internally), and
prepare cpanfile.

%prep
%setup -q -n ExtUtils-MakeMaker-CPANfile-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::MakeMaker::CPANfile.3*

%changelog
* Fri Dec 28 2018 Paul Howarth <paul@city-fan.org> - 0.09-1
- Update to 0.09
  - Fixed tests not to fail when $^X contains spaces (CPAN RT#125074)
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Switch upstream from search.cpan.org to metacpan.org

* Sun Jun 18 2017 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Fixed to convert META_ADD/MERGE properly when 2.0 elements are found
    (CPAN RT#122124)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.88

* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.07-3
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Dec  9 2015 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Supported recommends, suggests, conflicts

* Mon Sep 29 2014 Paul Howarth <paul@city-fan.org> - 0.06-3
- Import from Fedora

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-2
- Perl 5.20 rebuild

* Wed Jul 16 2014 Petr Pisar <ppisar@redhat.com> - 0.06-1
- Specfile autogenerated by cpanspec 1.78
